<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h1>#{messages['net.ihe.gazelle.transformation.NewDFDLSchema']}</h1>
            <h:form id="globalForm">
                #{dfdlSchemaManager.initNewDfdlSchema()}
                <s:div id="editDfdlFilePanel">
                    <ui:decorate template="/layout/panels/_panel_footer.xhtml">
                        <div class="form-horizontal">
                            <a4j:region id="labelRegion">
                                <s:decorate id="labelDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="labelDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Keyword']}</ui:define>
                                    <h:inputText id="label" styleClass="form-control" required="true" requiredMessage="Keyword is required"
                                                 value="#{dfdlSchemaManager.selectedDfdlSchema.keyword}">
                                        <a4j:ajax event="blur" render="labelDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="nameRegion">
                                <s:decorate id="nameDecoration" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="nameDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Name']}</ui:define>
                                    <h:inputText id="name" styleClass="form-control" required="true" requiredMessage="Name is required"
                                                 value="#{dfdlSchemaManager.selectedDfdlSchema.name}">
                                        <a4j:ajax event="blur" render="nameDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="versionRegion">
                                <s:decorate id="versionDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="versionDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Version']}</ui:define>
                                    <h:inputText id="version" styleClass="form-control" required="true"
                                                 value="#{dfdlSchemaManager.selectedDfdlSchema.version}">
                                        <a4j:ajax event="blur" render="versionDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="authorRegion">
                                <s:decorate id="authorDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="authorDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Author']}</ui:define>
                                    <h:inputText id="version" styleClass="form-control" required="true"
                                                 value="#{dfdlSchemaManager.selectedDfdlSchema.author}">
                                        <a4j:ajax event="blur" render="authorDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="descriptionRegion">
                                <s:decorate id="descriptionDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="descriptionDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Description']}</ui:define>
                                    <h:inputTextarea id="description" styleClass="form-control" rows="2" cols="70"
                                                     value="#{dfdlSchemaManager.selectedDfdlSchema.description}">
                                        <a4j:ajax event="blur" render="descriptionDecoration" execute="@this"/>
                                    </h:inputTextarea>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="pathRegion">
                                <s:decorate id="pathDecoration" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="pathDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.DfdlFile']}
                                        <a4j:commandLink
                                                title="#{messages['net.ihe.gazelle.transformation.Root']} : #{dfdlSchemaManager.getDfdlFilePathRoot()}"
                                                render="deleteTextDiv">
                                            <span class="gzl-icon-question-circle"></span>
                                        </a4j:commandLink>
                                    </ui:define>
                                    <h:inputText id="path" styleClass="form-control" size="70"
                                                 value="#{dfdlSchemaManager.selectedDfdlSchema.path}">
                                        <a4j:ajax event="blur" render="pathDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="objectTypeRegion">
                                <s:decorate id="objectTypeDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="objectTypeDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.ObjectType']}</ui:define>
                                    <h:selectOneMenu id="objectTypeSelection" required="true"
                                                     styleClass="form-control gzl-select-text"
                                                     value="#{dfdlSchemaManager.selectedDfdlSchema.objectType}">
                                        <s:selectItems value="#{dfdlSchemaManager.getAllObjectTypes()}"
                                                       var="objectType"
                                                       noSelectionLabel="#{messages['net.ihe.gazelle.transformation.PleaseSelect']}"
                                                       label="#{objectType.name}" required="true"/>
                                        <s:convertEntity/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="availableRegion">
                                <s:decorate id="availableDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="availableDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Available']}</ui:define>
                                    <h:selectBooleanCheckbox id="availableCheckBox"
                                                             value="#{dfdlSchemaManager.selectedDfdlSchema.available}"/>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="editDfdlFileSaveButton" styleClass="gzl-btn-blue"
                                               value="#{messages['net.ihe.gazelle.transformation.Save']}"
                                               action="#{dfdlSchemaManager.saveDfdlSchema()}"
                                               render="editDfdlFilePanel"/>
                            <a4j:commandButton id="editDfdlFileBackButton" styleClass="gzl-btn"
                                               value="#{messages['net.ihe.gazelle.transformation.Back']}" bypassUpdates="true"
                                               immediate="true"
                                               action="/schema/list.seam"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>